Subject: Re: New version of setup - prerelease available
From: "Cliff Hones" <[email-masked]>
To: "Robert Collins" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Wed, 1 May 2002 13:11:47 +0100

Robert Collins <[email-masked]> wrote:
> I've uploaded a new version of setup.exe, and source, to 
> http://www.cygwin.com/setup-snapshots/setup-md5-20020501.exe and
> http://www.cygwin.com/setup-snapshots/setup-md5-20020501-src.tar.bz2.
> 
> New features:
> * Allows source only packages.
> * Checks md5 sums if present in setup.ini
> * NEVER redownloads a file. - 'Redownload' has been removed. (3 users
> out of several thousand is simply not enough cause to keep a kludge).
> * Some bugfixes, including a nasty one which may have caused some
> locally downloaded files to *never* be installable.
> * The source will build when targeted against cygwin or mingw, and
> without all the cygwin sources.
> * new command line option -n/--no-shortcuts disables the default
> shortcut creation.
> 
> This snapshot was made immediately prior to the CVS being branched (The
> tag is setup-200205). As such it has the 'White box', but that will be
> removed prior to release.
> 
> Barring any bug reports in the next day, this will be released.
> 
> ***** IMPORTANT *****
> 
> Enabling the MD5 support on sourceware *will* cause prior versions of
> setup to start complaining, although they *should* still work. As such,
> you will not be able to downgrade if you don't like the version. Please
> help us make it the best ever via your feedback on this pre-release!
> 
> ********************

The removal of redownload is exactly what I hoped.  Running in download
mode twice in succession with the same (default) selections caused no
packages to download the second time.

When I try "install from local directory" and select the defaults
(ie install everything which has been updated) setup gets as far as
showing the install progress box, then throws up a box informing me
that setup.ini is older than the one I used last time I installed
Cygwin.  I can only find one Cygwin setup.ini file on my system,
and it's the one setup had just downloaded (from programming.ccp14.ac.uk)
with identification:
   setup-timestamp: 1020183008
   setup-version: 2.194.2.24
My cygwin\etc\setup\timestamp contains 1020183008, which looks ok to me.

-- Cliff.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/